com.threerings.whirled.data

## Class SceneObject

- java.lang.Object
- - com.threerings.presents.dobj.DObject
  - - com.threerings.crowd.data.PlaceObject
    - - com.threerings.whirled.data.SceneObject

All Implemented Interfaces:
  com.threerings.crowd.chat.data.SpeakObject, com.threerings.io.Streamable

Direct Known Subclasses:
  SpotSceneObject

    public class SceneObject
    extends com.threerings.crowd.data.PlaceObject

### Nested Class Summary

### Nested classes/interfaces inherited from class com.threerings.crowd.data.PlaceObject

`com.threerings.crowd.data.PlaceObject.ManagerCaller`

### Nested classes/interfaces inherited from interface com.threerings.crowd.chat.data.SpeakObject

`com.threerings.crowd.chat.data.SpeakObject.ListenerOp`

### Nested classes/interfaces inherited from interface com.threerings.io.Streamable

`com.threerings.io.Streamable.Closure`

### Field Summary

### Fields inherited from class com.threerings.crowd.data.PlaceObject

`manager, OCCUPANT_INFO, occupantInfo, occupants, OCCUPANTS, SPEAK_SERVICE, speakService`

### Fields inherited from interface com.threerings.crowd.chat.data.SpeakObject

`DEFAULT_IDENTIFIER`

### Constructor Summary

Constructors
Constructor and Description
`SceneObject()`

### Method Summary

### Methods inherited from class com.threerings.crowd.data.PlaceObject

`addToOccupantInfo, addToOccupants, applyToListeners, getChatIdentifier, getOccupantInfo, initManagerCaller, removeFromOccupantInfo, removeFromOccupants, setOccupantInfo, setSpeakService, shouldBroadcast, updateOccupantInfo`

### Methods inherited from class com.threerings.presents.dobj.DObject

`acquireLock, addListener, addListener, addSubscriber, addToSet, cancelTransaction, changeAttribute, checkPermissions, checkPermissions, commitTransaction, destroy, getAccessController, getAttribute, getLocal, getLocals, getManager, getOid, getSet, inTransaction, isActive, notifyListeners, notifyProxies, postEvent, postMessage, postMessage, releaseLock, removeFromSet, removeListener, removeSubscriber, setAccessController, setAttribute, setDestroyOnLastSubscriberRemoved, setLocal, setManager, setOid, startTransaction, toString, updateSet, which`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SceneObject

    public SceneObject()